Skip to main content
GET
Retrieves a production order by its ID.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

id
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

A production order.

id
string<uuid>

The ID of the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

productionItemId
string<uuid>

The ID of the production item to be produced by this production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billOfMaterialId
string<uuid>

The ID of the bill of material used to produce the production item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

dispositionId
string<uuid>

The ID of the disposition from which the production order originates.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lotCount
integer<int32>

Planned number of lots to be produced.

lotSize
number<decimal>

Planned size of the lots to be produced.

targetTotalQuantity
number<decimal>

Planned total quantity to be produced.

actualQuantity
number<decimal>

Actual total quantity produced.

isTargetTotalQuantityBelowLotSizeAllowed
boolean

Indicates whether it is allowed for this order to have a total quantity below the lot size (true) or not (false).

progress
number<decimal>

Progress of the production order.

targetStartTimestamp
string<date-time>

Planned start time of the production order.

targetCompletionTimestamp
string<date-time>

Planned completion time of the production order.

actualStartTimestamp
string<date-time>

Actual (reported) start time of the production order.

actualCompletionTimestamp
string<date-time>

Actual (reported) completion time of the production order.

projectNumber
string

The project number associated with the production order.

referenceNumber
string

The reference number associated with the underlying order for this production order.

issueNumber
string

The issue number of the production order.

issueDate
string<date-time>

The date when the production order was issued.

notice
string

Additional note on the order that will be displayed during production.

releaseTimestamp
string<date-time>

The timestamp when the production order was released.

deliveryTimestamp
string<date-time>

Planned delivery date.

creationUserId
string<uuid>

The ID of the user who created the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

releaseUserId
string<uuid>

The ID of the user who released the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lastModificationUserId
string<uuid>

The ID of the user who last modified the production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lastModificationTimestamp
string<date-time>

The timestamp of the last modification of the production order.

resourceTypeId
string<uuid>

The ID type of the resource (workbench-types only) which is allowed to produce this production order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

workbenchResourceId
string<uuid>

The ID of the workbench resource onto which the production order was assigned.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"